ch.qos.logback.core.joran.util

## Class ConfigurationWatchListUtil

- java.lang.Object
- - ch.qos.logback.core.joran.util.ConfigurationWatchListUtil

    public class ConfigurationWatchListUtil
    extends java.lang.Object

Author:
  Ceki Gücü

### Method Summary

Methods
`static void` `addToWatchList(Context context, java.net.URL url)`
`static ConfigurationWatchList` `getConfigurationWatchList(Context context)`
`static java.net.URL` `getMainWatchURL(Context context)`
`static void` `setConfigurationWatchListResetFlag(Context context, boolean val)`
`static void` `setMainWatchURL(Context context, java.net.URL url)`
`static boolean` `wasConfigurationWatchListReset(Context context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setMainWatchURL

    public static void setMainWatchURL(Context context,
                       java.net.URL url)

#### getMainWatchURL

    public static java.net.URL getMainWatchURL(Context context)

#### addToWatchList

    public static void addToWatchList(Context context,
                      java.net.URL url)

#### wasConfigurationWatchListReset

    public static boolean wasConfigurationWatchListReset(Context context)

#### setConfigurationWatchListResetFlag

    public static void setConfigurationWatchListResetFlag(Context context,
                                          boolean val)

#### getConfigurationWatchList

    public static ConfigurationWatchList getConfigurationWatchList(Context context)